<div class="manage-card shadow" ...attributes>
  <div class="title">
    {{#if @onSelect}}
      <ChkRecordSelection @record={{this.record}} @selection={{@selection}} @onSelect={{@onSelect}} />
    {{/if}}

    <button class="btn" type="button" {{on "click" (fn this.onClick @record)}}>
      {{@record.name}}
    </button>
  </div>

  {{#if @record.cover}}
    <div class="cover" style={{this.bgCover}}></div>
  {{/if}}

  {{#if @record.canEdit}}
    <div class="options">
      <Dropdown class="float-end">
        {{yield to="options"}}
        <ModelActions::Record @record={{@record}} @onDelete={{@onDelete}} />
      </Dropdown>
    </div>
  {{/if}}

  {{#if (has-block "content")}}
    <div class="description">
      <div class="text-line-clamp-4 overflow-hidden">
        {{yield to="content"}}
      </div>
    </div>
  {{/if}}

  <div class="labels">
    {{#if @label}}
      <div class="label">
        {{@label}}
      </div>
    {{/if}}

    {{#if this.record.strStatus}}
      <span class="badge bg-{{this.record.statusColor}}">
        {{this.record.strStatus}}
      </span>
    {{/if}}

    {{#if this.hasVisibility}}
      {{#if this.isPublic}}
        <span class="badge bg-success">
          {{t "visibility-public"}}
        </span>
      {{/if}}

      {{#if this.isPrivate}}
        <span class="badge bg-warning text-dark">
          {{t "visibility-private"}}
        </span>
      {{/if}}

      {{#if this.isPending}}
        <span class="badge bg-info text-dark">
          {{t "visibility-pending"}}
        </span>
      {{/if}}
    {{/if}}

    {{yield to="labels"}}
  </div>
</div>